Subject: Re: Strange behaviour of ls listing of directories
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: [email-masked], "Dr. Volker Zell" <[email-masked]>
Cc: [email-masked]
Date: Sun, 26 May 2002 13:23:58 -0400

At 03:57 AM 5/26/2002, Jim.George wrote:
>On Fri, 24 May 2002, Dr. Volker Zell wrote:
>
> > Hi
> >
> > I just recently discovered the following behaviour of ls:
> > When I type in ls in the same directory a couple of times, sometimes the first ls call shows
> > some of the directories with 0 bytes and in the next calls with an actual byte number as you
> > can see below.
> >
> > Anybody else seeing this ?
> > This is the same on NT or W2K, with netsec enabled ot ntea enabled.
> >
><snip>
> > drwxr-xr-x    4 vzell    admin           0 Jun 13  2001 xircom/
><-- 0 Bytes even so there are files in the directory
> > drwxr-xr-x    2 vzell    admin        4096 Jun  4  2001 bin/            <-- xxx Bytes
> > drwxr-xr-x    3 vzell    admin           0 Dec 29  2000 RECYCLER/
> > drwxr-xr-x    9 vzell    admin        4096 Nov 29  2000 MSOffice/
> > -r--r--r--    1 vzell    admin       26816 Jun 28  2000 NTDETECT.COM
> > -r--r--r--    1 vzell    admin      158160 Jun 28  2000 ntldr
> > -r--r--r--    1 vzell    admin         289 Jun 28  2000 boot.ini
> > drwxr-xr-x    2 vzell    admin           0 Jun 28  2000 RECYCLED/
> > -rwxr-xr-x    1 vzell    admin           0 Jun 27  2000 AUTOEXEC.BAT*
> > -rw-r--r--    1 vzell    admin           0 Jun 27  2000 CONFIG.SYS
> > -r--r--r--    1 vzell    admin           0 Jun 27  2000 IO.SYS
> > -r--r--r--    1 vzell    admin           0 Jun 27  2000 MSDOS.SYS
> >
> > Ciao
> >   Volker
> >
>Do you get the same behaviour with 'ls -lat'?
>
>I got the same as yourself with the --show-control-chars but not with ls
>-lat.

No, there's more to it than that, at least based on what I see.  I get the 
same results as Volker.  It doesn't matter what flags I give ls (in addition
to "-l" that is).  I only have "ntsec" set.  Perhaps you tried 
"--show-control-chars" the first time in a directory and "-lat" after that?

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
838 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/